Functions
DMA Management Functions
Peripheral Driver » LL Driver » I2S » Functions
Collaboration diagram for DMA Management Functions:

## Functions
__STATIC_INLINE void | ll_i2s_rst_rxdma (i2s_regs_t *I2Sx)
| Reset RX block DMA. More...
__STATIC_INLINE void | ll_i2s_rst_txdma (i2s_regs_t *I2Sx)
| Reset TX block DMA. More...
__STATIC_INLINE void | ll_i2s_enable_dma (i2s_regs_t *I2Sx)
| Enable I2S DMA. More...
__STATIC_INLINE void | ll_i2s_disable_dma (i2s_regs_t *I2Sx)
| Disable I2S DMA. More...
__STATIC_INLINE uint32_t | ll_i2s_is_enabled_dma (i2s_regs_t *I2Sx)
| Check if I2S DMA is enabled. More...
__STATIC_INLINE void | ll_i2s_enable_dma_mode (i2s_regs_t *I2Sx)
| Enable I2S DMA mode. More...
__STATIC_INLINE void | ll_i2s_disable_dma_mode (i2s_regs_t *I2Sx)
| Disable I2S DMA mode. More...
__STATIC_INLINE uint32_t | ll_i2s_is_enabled_dma_mode (i2s_regs_t *I2Sx)
| Check if I2S DMA mode is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2s_disable_dma()

__STATIC_INLINE void ll_i2s_disable_dma | ( | i2s_regs_t * | I2Sx | ) |

Disable I2S DMA.

Register | BitsName
--- | ---
DMA_ACC_SEL | QSPI1_I2S_M_SEL
DMA_ACC_SEL | I2C1_I2S_S_SEL

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1363 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_disable_dma_mode()

__STATIC_INLINE void ll_i2s_disable_dma_mode | ( | i2s_regs_t * | I2Sx | ) |

Disable I2S DMA mode.

Register | BitsName
--- | ---
DMA_ACC_SEL | MCU_SUB_I2S_DMA_MODE_SET
DMA_ACC_SEL | MCU_SUB_I2S_DMA_MODE_S_SET

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1420 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_enable_dma()

__STATIC_INLINE void ll_i2s_enable_dma | ( | i2s_regs_t * | I2Sx | ) |

Enable I2S DMA.

Register | BitsName
--- | ---
DMA_ACC_SEL | QSPI1_I2S_M_SEL
DMA_ACC_SEL | I2C1_I2S_S_SEL

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1344 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_enable_dma_mode()

__STATIC_INLINE void ll_i2s_enable_dma_mode | ( | i2s_regs_t * | I2Sx | ) |

Enable I2S DMA mode.

Register | BitsName
--- | ---
DMA_ACC_SEL | MCU_SUB_I2S_DMA_MODE_SET
DMA_ACC_SEL | MCU_SUB_I2S_DMA_MODE_S_SET

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1401 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_enabled_dma()

__STATIC_INLINE uint32_t ll_i2s_is_enabled_dma | ( | i2s_regs_t * | I2Sx | ) |

Check if I2S DMA is enabled.

Register | BitsName
--- | ---
DMA_ACC_SEL | QSPI1_I2S_M_SEL
DMA_ACC_SEL | I2C1_I2S_S_SEL

Parameters

  I2Sx | I2S instance

Return values

  State | of bit (1 or 0).

Definition at line 1382 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_is_enabled_dma_mode()

__STATIC_INLINE uint32_t ll_i2s_is_enabled_dma_mode | ( | i2s_regs_t * | I2Sx | ) |

Check if I2S DMA mode is enabled.

Register | BitsName
--- | ---
DMA_ACC_SEL | MCU_SUB_I2S_DMA_MODE_SET
DMA_ACC_SEL | I2C1_I2S_S_SEL

Parameters

  I2Sx | I2S instance

Return values

  State | of bit (1 or 0).

Definition at line 1440 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_rst_rxdma()

__STATIC_INLINE void ll_i2s_rst_rxdma | ( | i2s_regs_t * | I2Sx | ) |

Reset RX block DMA.

Note
  The RX DMA can be reset to the lowest channel via this register.

Register | BitsName
--- | ---
RXDMA_RST | RST

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1311 of file gr55xx_ll_i2s.h.

## ◆ ll_i2s_rst_txdma()

__STATIC_INLINE void ll_i2s_rst_txdma | ( | i2s_regs_t * | I2Sx | ) |

Reset TX block DMA.

Note
  The TX DMA can be reset to the lowest channel via this register.

Register | BitsName
--- | ---
TXDMA_RST | RST

Parameters

  I2Sx | I2S instance

Return values

  None |

Definition at line 1327 of file gr55xx_ll_i2s.h.